﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BARCODE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BARCODE_L') 
 CREATE TABLE T_BD_BARCODE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BARCODEENTRY') 
 CREATE TABLE T_BD_BARCODEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSEGMENTVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOBJPROP NVARCHAR(150) DEFAULT ' ' NOT NULL,
FVALUETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FNUMVAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATEVAL DATETIME,
FTIMEVAL INT DEFAULT 0 NOT NULL,
FTEXTVAL NVARCHAR(150) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODERULE' AND KSQL_COL_NAME ='FCREATEDORGID') 
 ALTER TABLE T_BD_BARCODERULE ADD (FCREATEDORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BARCODE') 
 CREATE TABLE T_BD_BARCODE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDORGID BIGINT DEFAULT 0 NOT NULL,
FBARCODE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBARCODERULEID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FBARCODETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSOURCETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FBARCODESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSRCBILLNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BARCODE_table.sql **/
