﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BARCODE_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BCPROPMAPPING') 
 CREATE TABLE T_BD_BCPROPMAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BCPROPMAPPING_L') 
 CREATE TABLE T_BD_BCPROPMAPPING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BCPROPMAPPINGENTRY') 
 CREATE TABLE T_BD_BCPROPMAPPINGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLBIZOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FRBIZOBJ NVARCHAR(36) DEFAULT ' ' NOT NULL,
FLOBJPROPNAME NVARCHAR(70) DEFAULT ' ' NOT NULL,
FROBJPROPNAME NVARCHAR(70) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BCPROPOBJS') 
 CREATE TABLE T_BD_BCPROPOBJS (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODERULEENTRY' AND KSQL_COL_NAME ='FFIXVALUE') 
 ALTER TABLE T_BD_BARCODERULEENTRY ADD (FFIXVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODE' AND KSQL_COL_NAME ='FBILLNO') 
 ALTER TABLE T_BD_BARCODE ADD (FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODE' AND KSQL_COL_NAME ='FBILLSTATUS') 
 ALTER TABLE T_BD_BARCODE ADD (FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODE' AND KSQL_COL_NAME ='FAUDITORID') 
 ALTER TABLE T_BD_BARCODE ADD (FAUDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODE' AND KSQL_COL_NAME ='FAUDITDATE') 
 ALTER TABLE T_BD_BARCODE ADD (FAUDITDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_BARCODE' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_BD_BARCODE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_PKGBARCODE' AND KSQL_COL_NAME ='FBILLNO') 
 ALTER TABLE T_BD_PKGBARCODE ADD (FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_PKGBARCODE' AND KSQL_COL_NAME ='FBILLSTATUS') 
 ALTER TABLE T_BD_PKGBARCODE ADD (FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_PKGBARCODE' AND KSQL_COL_NAME ='FAUDITORID') 
 ALTER TABLE T_BD_PKGBARCODE ADD (FAUDITORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_PKGBARCODE' AND KSQL_COL_NAME ='FAUDITDATE') 
 ALTER TABLE T_BD_PKGBARCODE ADD (FAUDITDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_PKGBARCODE' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_BD_PKGBARCODE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BD_PKGBARCODE' AND KSQL_COL_NAME ='FPKGCOUNT') 
 ALTER TABLE T_BD_PKGBARCODE ADD (FPKGCOUNT INT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BARCODE_table.sql **/
